{
  "name": "heroes-front",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint --fix",
    "sb": "storybook dev -p 6006",
    "build-storybook": "storybook build",
    "test-storybook": "test-storybook"
  },
  "lint-staged": {
    "*.{js,jsx}": [
      "eslint --fix"
    ],
    "*.{json,md,scss,yaml,yml,ts,tsx}": [
      "prettier --write"
    ]
  },
  "dependencies": {
    "@ebay/nice-modal-react": "^1.2.10",
    "@next/font": "^13.3.0",
    "@react-oauth/google": "^0.11.0",
    "@react-spring/web": "^9.7.2",
    "@reduxjs/toolkit": "^1.9.5",
    "@types/aria-query": "^5.0.1",
    "@types/node": "18.15.11",
    "@types/react": "^18.0.38",
    "@types/react-datepicker": "^4.11.2",
    "@types/react-dom": "18.0.11",
    "async-mutex": "^0.4.0",
    "axios": "^1.3.5",
    "eslint": "8.34.0",
    "eslint-config-next": "13.1.6",
    "js-cookie": "^3.0.5",
    "jspdf": "^2.5.1",
    "mobile-detect": "^1.4.5",
    "next": "13.3.0",
    "next-redux-wrapper": "^8.1.0",
    "notistack": "^3.0.1",
    "nprogress": "^0.2.0",
    "react": "18.2.0",
    "react-datepicker": "^4.14.1",
    "react-dom": "18.2.0",
    "react-facebook-login": "^4.1.1",
    "react-ga4": "^2.1.0",
    "react-hook-form": "^7.43.9",
    "react-intersection-observer": "^9.4.4",
    "react-loading-skeleton": "^3.2.1",
    "react-modal": "^3.16.1",
    "react-phone-input-2": "^2.15.1",
    "react-qr-code": "^2.0.11",
    "react-redux": "^8.0.5",
    "react-responsive": "^9.0.2",
    "react-select": "^5.7.3",
    "sanitize-html": "^2.10.0",
    "sass": "^1.61.0",
    "socket.io-client": "^4.6.0",
    "storybook-addon-redux-listener": "^0.1.7",
    "storybook-addon-styled-component-theme": "^2.0.0",
    "styled-components": "^5.3.9",
    "swiper": "^9.2.0",
    "typescript": "5.0.4"
  },
  "devDependencies": {
    "@next/eslint-plugin-next": "^13.1.6",
    "@storybook/addon-essentials": "7.0.6",
    "@storybook/addon-interactions": "7.0.6",
    "@storybook/addon-links": "7.0.6",
    "@storybook/addon-viewport": "^7.0.10",
    "@storybook/blocks": "7.0.6",
    "@storybook/jest": "^0.1.0",
    "@storybook/nextjs": "7.0.6",
    "@storybook/react": "7.0.6",
    "@storybook/test-runner": "^0.10.0",
    "@storybook/testing-library": "0.0.14-next.2",
    "@storybook/types": "^7.0.6",
    "@testing-library/jest-dom": "^5.16.5",
    "@testing-library/react": "^14.0.0",
    "@trivago/prettier-plugin-sort-imports": "^4.1.1",
    "@types/js-cookie": "^3.0.3",
    "@types/next-redux-wrapper": "^3.0.0",
    "@types/nprogress": "^0.2.0",
    "@types/react-facebook-login": "^4.1.5",
    "@types/react-modal": "^3.16.0",
    "@types/react-responsive": "^8.0.5",
    "@types/sanitize-html": "^2.9.0",
    "@types/styled-components": "^5.1.26",
    "addon-redux": "^2.0.11",
    "eslint": "8.34.0",
    "eslint-config-next": "13.1.6",
    "eslint-config-prettier": "^8.6.0",
    "eslint-plugin-hooks": "^0.4.3",
    "eslint-plugin-next": "^0.0.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-react": "^7.32.2",
    "prettier": "^2.8.4",
    "prettier-plugin-organize-imports": "^3.2.2",
    "storybook": "7.0.6"
  },
  "eslintConfig": {
    "env": {
      "browser": true,
      "es2021": true,
      "es6": true
    },
    "extends": [
      "eslint:recommended",
      "next/core-web-vitals",
      "plugin:@next/next/recommended",
      "plugin:prettier/recommended"
    ],
    "parserOptions": {
      "ecmaFeatures": {
        "jsx": true
      },
      "ecmaVersion": 2022,
      "sourceType": "module"
    },
    "engines": {
      "node": "18.16.0"
    },
    "engineStrict": true,
    "plugins": [
      "prettier"
    ],
    "rules": {
      "react/react-in-jsx-scope": "off",
      "react-hooks/exhaustive-deps": "off",
      "import/no-anonymous-default-export": "off",
      "react/prop-types": "off",
      "no-unused-vars": "warn",
      "no-unsafe-optional-chaining": "warn",
      "no-case-declarations": "off",
      "react/no-unescaped-entities": "warn"
    }
  }
}
